Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Lisp zum Layer änder

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Lisp zum Layer änder (747 mal gelesen)
Molzer
Mitglied



Sehen Sie sich das Profil von Molzer an!   Senden Sie eine Private Message an Molzer  Schreiben Sie einen Gästebucheintrag für Molzer

Beiträge: 32
Registriert: 26.12.2006

erstellt am: 02. Jan. 2007 19:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

(defun C:Transfer (/ e pkt)
  (setq e (entsel "Objekte wählen "))
  (setq pkt (cadr e))
  (prompt "/nLayername eingeben: ")

jetzt kann ich layer auswählen und danach den neuen eingeben.

ich weiß aber schon vorher welchen layer sie bekommen.
d.h. ich würde sie gern nur mehr auswählen und das lisp ändert es gleich, welchen befehl brauche ich dazu?

also layer N soll auf layer S
und  layer K soll auf layer Y....


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

.

erstellt am: 02. Jan. 2007 19:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Molzer 10 Unities + Antwort hilfreich

laytrans

oder ein Lisp , das alle Objekte durchscannt und entsprechend Objektlayer den neuen Layer vergibt, das klappt auch mit Objekten in Blöcken, ansonsten geht auch die Schnellauswahl "_qselect" und anschließendes Ändern im Eigenschaftsfenster.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Molzer
Mitglied



Sehen Sie sich das Profil von Molzer an!   Senden Sie eine Private Message an Molzer  Schreiben Sie einen Gästebucheintrag für Molzer

Beiträge: 32
Registriert: 26.12.2006

erstellt am: 05. Jan. 2007 12:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

nein ein lisp ist besser, den wenn neue hinzukommen oder sollte sich was änderen bräuchte ich die nur hinzufügen.

danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17748
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 05. Jan. 2007 12:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Molzer 10 Unities + Antwort hilfreich

Kennst du die Expresstools ? (Funktionen LAYMCH & LAYCUR)

Und bei LAYTRANS ist das hinzufügen auch ne Kleinigkeit..

[Diese Nachricht wurde von cadffm am 05. Jan. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Molzer
Mitglied



Sehen Sie sich das Profil von Molzer an!   Senden Sie eine Private Message an Molzer  Schreiben Sie einen Gästebucheintrag für Molzer

Beiträge: 32
Registriert: 26.12.2006

erstellt am: 05. Jan. 2007 12:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Nein Expresstools kenn ich nicht!

Danke für deine Hilfen!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 17748
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 05. Jan. 2007 12:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Molzer 10 Unities + Antwort hilfreich

Oh, dann hast du echt was verpasst !
Vorschlag: Expresstools installieren und alle Funktionen mal ansehen,
bezogen hier auf diesen Thread besonders die Layer-Tools.

Wobei das in neuen Acad-Installationen integriert ist..
Was nutzt du ?

Bitte schreibe mal deine Hard- und Softwareangaben bei deiner nächsten
Antwort in das Feld "Zusatztext", findest du in der Antwort-Eingabemaske..

Acad2000,2004,5,6,7 müßten die auf der Original CD dabei sein.
Im Rund um autoCAD Forum (54) findest du ggf. auch einige
Hinweise zur Installation.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Molzer
Mitglied



Sehen Sie sich das Profil von Molzer an!   Senden Sie eine Private Message an Molzer  Schreiben Sie einen Gästebucheintrag für Molzer

Beiträge: 32
Registriert: 26.12.2006

erstellt am: 05. Jan. 2007 13:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ok! Danke!

Ich werd mal durchtesten..

lg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de